/**
 * Migration: CreateUsersTable
 * Creates users table
 */
import { Schema as MigrationSchema } from '../../src/migrations/schema';
export const migration = {
    async up(db) {
        const schema = MigrationSchema.create(db);
        await schema.create('users', (table) => {
            table.id();
            table.string('name');
            table.string('email').unique();
            table.string('password');
            table.timestamps();
        });
    },
    async down(db) {
        const schema = MigrationSchema.create(db);
        await schema.dropIfExists('users');
    },
};
